package config

//==Help Command==
const HelpTitle = "指令列表 Command List"
const HelpColour = 0x00E58D
const HelpDescription = "这个信息包含了所有指令的资料。\nThis message contains all the information about available commands."

//==Message Util==
const UsageTitle = "使用方法 Command Usage"
const UsageColour = 0xF00000
const ErrorStack = "纠错信息 Debug Info"
const ErrorColour = 0xE00000
const SuccessTitle = "成功 Success"
const SuccessColour = 0x00E000
const PermissionErrorTitle = "没有权限 Forbidden"
const ErrorCannotFindMember = "请确保你已经加入伺服器。Please make sure that you're in the server."
const ErrorMustNotBeMember = "这个指令不能被会员使用。This command cannot be used by server members."
const ErrorMustBeMember = "这个指令只能在成为会员后使用。This command can only be used by server members."
const ErrorMustDMTitle = "私信保护 DM Protection"
const ErrorMustDMDescription = "<@%s>，这个指令只能在私信中使用。<@%s>, this command can only be used in DMs."
const AuditInfoTitle = "记录Audit Info"
const AuditInfoColour = 0xA0A0A0
const InternalErrorDescription = "发生了不明错误。An unknown error has occurred."

//==Vote==
const VoteErrorTitle = "投票错误 Vote Error"
const ErrorForceRejectionReuse = "你在这个月内已使用过:x:。请选择其他选项。\nYou have already used :x: this month. Please choose another option."
const ErrorVoteHasEnded = "投票已结束。无法投票。\nThis vote has already concluded."
const VoteSuccessfulTitle = "投票成功 Voted Successfully"
const VoteSuccessfulVoteID = "投票编号 Vote ID"
const VoteSuccessfulVoteName = "投票名称 Vote Name"
const VoteSuccessfulDetectedVote = "所投的票 Your Vote"

const VoteSuggestionErrorTitle = "开始新的投票错误 Vote Suggestion Error"
const ErrorVoteSuggestionNotEnoughInfo = "请提供更多资料。\nPlease provide more information."
const ErrorVoteSuggestionTooLong = "你投票的内容过长了。请使用少过500个字符。\nYour vote is too long. Please use a maximum of 500 characters."
const ErrorVoteSuggestionUnknownType = "未知投票种类 Unknown Vote Type: %s."

const CustomVoteTitle = "自定义投票 Custom Vote"
const CustomVoteColour = 0x00F0F0
const CustomVoteVoteID = "投票编号 Vote ID"
const CustomVoteContent = "投票内容 Content"

const EntryVoteTitle = "加入申请 Entry Application"
const EntryVoteColour = 0x808000
const EntryVoteVoteID = "投票编号 Vote ID"
const EntryVoteApplicant = "申请者 Applicant"
const EntryVoteReason = "加入原因 Provided Reason for Entry"
const EntryVoteName = "%s的加入 %s's Entry Application"

const VotePassTitle = "投票通过 Vote Passed"
const VotePassColour = 0x00F000
const VoteRejectTitle = "投票不通过 Vote Rejected"
const VoteRejectColour = 0xF00000

const EntryVoteRejectNotificationTitle = "抱歉…… Sorry…"
const EntryVoteRejectNotificationContent = "你加入的提案被拒绝了。请提升你和伺服器中的成员的关系后再次申请加入。\nThe application entry you sent was rejected. You must strengthen your relationship with other server members before trying again."
const EntryVoteSuccessWelcomeTitle = "欢迎！ Welcome!"
const EntryVoteSuccessWelcomeDescription = "欢迎进入伺服器，<@%s>。Welcome to the server, <@%s>!"

//==Commands==
const SendAsUsage = "!sendas <频道ID> <信息>\n!sendas <channel ID> <message>"
const SendAsSuccessfulDescription = "成功发送该信息。\nMessage sent successfully."
const SendAsSuccessfulMessageID = "Discord编号 // Discord ID"

const EditAsUsage = "!editas <频道ID> <信息ID> <信息>\n!editas <channel ID> <message ID> <message>"
const EditAsSuccessfulDescription = "成功编辑该信息。\nMessage edited successfully."

//VTL is view trust level
const VTLUsage = "!peektrust [目标]\n!peektrust [target]"
const VTLColour = 0xE0E000
const VTLSingleUserTitle = "<@%s>的信誉分 <@%s>'s Trust Score"
const VTLSingleUserValue = "分数 Trust Score"
const VTLSingleUserServerTotal = "伺服器总分 Server Total"
const VTLSingleUserPercentage = "百分比 Percentage"
const VTLGlobalTitle = "伺服器信誉分报告 Server Trust Score Report"
const VTLGlobalFieldFormat = "%.1f/%.1f (%.2f%%)"

const InviteUsage = "!invite <要制造的验证码>\n!invite <validation code to create>"
const InviteSuccessTitle = "制造验证码成功 Validation Code Creation Success"
const InviteSuccessNew = "这个验证码现在属于你了。请好好保管并把它交给你要邀请的人。\nThis validation code now belongs to you. Pass it on to a user you want to invite."
const InviteSuccessAlreadyOwn = "该验证码原本就已经属于你。请直接交给你要邀请的人吧。\nThe validation code already belongs to you. You can pass it on to a user you want to invite."
const ErrorInviteTitle = "制造验证码失败 Create Validation Code Error"
const ErrorInviteCodeContainsSpace = "所制造的验证码不得有任何空格。\nThe validation code to create cannot contain any spaces."
const ErrorInviteOwnedByOthers = "这个验证码已被其他会员注册。请使用别的验证码。\nThis validation code is already registered. Please try another one."
const ErrorInviteExistAndUsed = "这个验证码已被使用过。请使用别的验证码。\nThis validation code has already been used. Please try another one."

const ValidateUsage = "!validate <验证码> <为自己拉票的字>\n!validate <validation code> <reason you should be accepted>"
const ValidateConfirmationColour = 0xE0E000
const ValidateConfirmationTitle = "验证码使用确认 Validation Code Usage Confirmation"
const ValidateConfirmationDescription = "有人使用了你创造的验证码。请确认他是否是你要邀请的人。\nSomeone has used a validation code you created. Please confirm that they are the person you want to invite."
const ValidateConfirmationUser = "Discord帐号 // Discord Account"
const ValidateConfirmationInviteCode = "使用的验证码 Validation Code Used"
const ValidateConfirmationRejectCreatorTitle = "已拒绝验证码使用 Validation Code Usage Denied"
const ValidateConfirmationRejectCreatorDescription = "你已成功拒绝该验证码的使用。为了避免该验证码被对方重复使用，该验证码已被无效化。\nYou have denied the usage of the validation code. To prevent the user from reusing this code, the validation code has been revoked."
const ValidateConfirmationRejectRejecteeTitle = "验证码使用已被拒绝 Validation Code Usage Denied"
const ValidateConfirmationRejectRejecteeDescription = "验证码制造者已拒绝你对该验证码的使用。验证码也已经被无效化了。\nThe validation code creator has prevented you from using the code."
const ValidateConfirmationAcceptCreatorTitle = "已同意验证码使用 Validation Code Usage Approved"
const ValidateConfirmationAcceptCreatorDescription = "你已成功同意验证码的使用，主伺服器已开始了加入投票。该验证码将在这次使用后无效化。\nYou have successfully approved the usage of the validation code and started a vote in the main server. With the one-time usage property of the code, it has been revoked."
const ValidateConfirmationAcceptAccepteeTitle = "验证码的使用已被同意 Validation Code Usage Approved"
const ValidateConfirmationAcceptAccepteeDescription = "你验证码的使用已被同意，主伺服器开始了对于你的加入的投票，请等候投票完毕。\nYour usage of validation code was approved and a vote about your entry request has been started in the main server. Please wait for this process to finish."
const ValidateSuccess = "已向验证码制造者发送了请求。\nA request was sent to use the validation code to the creator."
const ErrorValidateTitle = "验证错误 Validation Error"
const ErrorValidationCodeReuse = "该验证码已被使用过。请向验证码制造者要求新的验证码。\nThis validation code has already been used. Please request a new one from its creator."
const ErrorValidationCodeNotExist = "该验证码不存在。请使用一位会员给你的验证码。\nThis validation code doesn't exist. Please use one given by a member."
const ErrorValidationCodeNotOwnedByMember = "验证码制造者不是会员。\nThe validation code creator is no longer a member."
const ErrorValidationCodeCreatorDisabledPM = "验证码制造者关闭了私信。\nThe validation code creator did not enable DMs."

const SetMCUsernameUsage = "!setmcusername <MC用户名>\n!setmcusername <MC Username>"
const SetMCUsernameConfirmTitle = "设置MC用户名确认 Set MC Username Confirmation"
const SetMCUsernameConfirmDescription = "你在改变了MC用户名以后就不能再以原有用户名登录了，请确保你已把你所要的东西放进箱子里。\nYou will not be able to login with your old username once you've changed your username. Items in your ender chests and inventory will not be accessible."
const SetMCUsernameSuccessTitle = "设置用户名成功 Set MC Username Successful"
const SetMCUsernameSuccessDescription = "设置用户名成功！请使用新的用户名登录。\nMC username has been set successfully! Please use your new username to login."
const SetMCUsernameConfirmColour = 0xF0F000
const SetMCUsernameConfirmOldUsername = "旧用户名 Old Username"
const SetMCUsernameConfirmNewUsername = "新用户名 New Username"
const SetMCUsernameConfirmDeniedTitle = "成功取消设置用户名 Cancelled Set MC Username"
const SetMCUsernameConfirmDeniedDescription = "你的用户名没有被改变。请继续使用旧用户名。\nYour username was not changed."
const SetMCUsernameErrorTitle = "设定MC用户名错误 Set MC Username Error"
const ErrorSetMCUsernameDuplicate = "你要设置的用户名已经是你目前记录的用户名。\nThe username you want to set is equal to a username in the record."
const ErrorSetMCUsernameAlreadyOwned = "你要设置的用户名已被其他人使用了。\nThe username you requested is already being used by another player."

const ChangeTrustUsage = "!trust <更改对象>\n!trust <target>"
const ChangeTrustPromptTitle = "更新玩家评分 Update Player Score"
const ChangeTrustPromptColour = 0xF0F000
const ChangeTrustPromptID = "Discord编号 Discord ID"
const ChangeTrustPromptNick = "昵称 Nickname"
const ChangeTrustPromptReminderTitle = "提醒 Reminder"
const ChangeTrustPromptReminderDescription = "你一个月只能更换对一个玩家的评分进行一次更改。\nYou can only change your trust towards a player once per month."
const ChangeTrustSuccessTitle = "成功更新玩家评分 Update Player Score Success"
const ChangeTrustSuccessDescription = "你对这名玩家的分数改变已被记录。\nThe score has been updated."
const ErrorChangeTrustTitle = "调整信誉分错误 Change Trust Error"
const ErrorChangeTrustTargetNotFound = "无法寻找到改变目标。\nCannot find the target user."
const ErrorChangeTrustRecentlyChanged = "你在一个月内设定过该名玩家的分数。你这次的更动没有被记录。\nYou have already changed your score for this player within the previous month. Your change was not recorded."

const VoteSuggestionUsage = "!votesuggest <种类：custom> <内容>\n!votesuggest <type: custom> <content>"
const VoteSuggestionUpcomingTitle = "准备中…… Preparing…"
const VoteSuggestionUpcomingDescription = "正在准备新的投票……\nPreparing for the next vote..."
const VoteSuggestionUpcomingColour = 0x000000

const BatchRoleUsage = "!batchrole <Discord编号>\n!batchrole <Discord ID>"
const BatchRoleSuccessMessage = "成功分发角色。 Distributed role successfully."
